Bug 446486 - Keyboard problems after leaving graphical mode
Keyboard problems after leaving graphical mode
Status: CLOSED DUPLICATE of bug 445743
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2008-05-14 16:06 EDT by Davidson Paulo
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-17 08:36:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/X11/xorg.conf (593 bytes, application/octet-stream)
2008-06-17 07:56 EDT, Davidson Paulo
no flags Details
/var/log/Xorg.0.log (33.33 KB, application/octet-stream)
2008-06-17 07:56 EDT, Davidson Paulo
no flags Details
/var/log/Xorg.0.log.old (57.31 KB, application/octet-stream)
2008-06-17 07:57 EDT, Davidson Paulo
no flags Details

  None (edit)
Description Davidson Paulo 2008-05-14 16:06:32 EDT
Description of problem:

After leaving out X display and turning back, Ctrl, Shift, Alt, Caps Lock and
other keys stop do work properly and most of GNOME applications crash after
pressing any key.

Version-Release number of selected component (if applicable):


How reproducible:

Switch to text mode with Ctrl+Alt+F1 and back again to graphical mode.

Steps to Reproduce:
1. Login in GNOME (not tested with KDE)
2. Press Ctrl+Alt+F1 to switch do text mode
3. Press Alt+F7 to back to graphical mode
Actual results:

Ctrl, Alt, Shift, Caps Lock and other keys stop to work properly. GNOME
Applications crash after pressing any key.

Expected results:

Keyboard keys working as always, as well as the GNOME applications.

Additional info:

Video card: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
Comment 1 Matěj Cepl 2008-05-16 19:13:57 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-06-12 10:16:31 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Davidson Paulo 2008-06-17 07:56:02 EDT
Created attachment 309600 [details]

As required.
Comment 4 Davidson Paulo 2008-06-17 07:56:51 EDT
Created attachment 309602 [details]

As required.
Comment 5 Davidson Paulo 2008-06-17 07:57:19 EDT
Created attachment 309603 [details]

May be useful.
Comment 6 Matěj Cepl 2008-06-17 08:36:23 EDT

*** This bug has been marked as a duplicate of 445743 ***

Note You need to log in before you can comment on or make changes to this bug.